CVE-2014-8165

NameCVE-2014-8165
Descriptionscripts/amsvis/powerpcAMS/amsnet.py in powerpc-utils-python uses the pickle Python module unsafely, which allows remote attackers to execute arbitrary code via a crafted serialized object.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
powerpc-utils (PTS)stretch1.3.2-1fixed
buster1.3.2-1.1fixed
bullseye, sid1.3.8-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
powerpc-utilssource(unstable)(not affected)

Notes

- powerpc-utils <not-affected> (Vulnerable code not present)
http://sourceforge.net/p/powerpc-utils/mailman/message/32884230

Search for package or bug name: Reporting problems